# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface AtomData

All Superinterfaces:
  Extensible

All Known Implementing Classes:
  AlbumEntry, AlbumFeed, CommentEntry, GphotoEntry, GphotoFeed, PhotoEntry, PhotoFeed, TagEntry, UserEntry, UserFeed

    public interface AtomData

extends Extensible

A common interface for all of the methods that match between entry and feed. This makes it possible to treat feeds and entries as being representative of the same basic information, and allows retrieving/setting this information in a consistent fashion. Each method includes links to the `BaseEntry` or `Source` methods they forward to.

Method Summary
`java.util.List<Person>` `getAuthors()` Gets a modifiable list of authors on this entry or feed.
`java.util.Set<Category>` `getCategories()` Gets a set of categories on the entry or feed.
`java.util.List<Person>` `getContributors()` Gets a modifiable list of contributors on this entry or feed.
`TextConstruct` `getDescription()` Gets the description of the entry or feed.
`java.lang.String` `getId()` Get the id of the piece of data you're looking at.
`java.util.List<Link>` `getLinks()` Gets a modifiable list of links on the entry or feed.
`TextConstruct` `getRights()` Gets the rights associated with this entry or feed.
`TextConstruct` `getTitle()` Gets the title of the entry or feed represented by this piece of data.
`DateTime` `getUpdated()` Gets the updated time on this entry or feed.
`void` `setDescription(TextConstruct description)` Set the description of the item.
`void` `setId(java.lang.String id)` Set the feed or entry atom:id.
`void` `setRights(TextConstruct rights)` Set the rights of the entry or feed.
`void` `setTitle(TextConstruct title)` Set the title of the feed or entry.
`void` `setUpdated(DateTime updated)` Set the updated date on the entry or feed.

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Method Detail

### getId

    java.lang.String getId()

  Get the id of the piece of data you're looking at. This is the atom:id and represents the atom-level identification of the item. This is forwarded to either `BaseEntry.getId()` or `Source.getId()`

  Returns:
    the feed or entry id.

### setId

    void setId(java.lang.String id)

  Set the feed or entry atom:id. Forwarded to either `BaseEntry.setId(String)` or `Source.setId(String)`.

  Parameters:
    `id` - the id of the data item.

### getTitle

    TextConstruct getTitle()

  Gets the title of the entry or feed represented by this piece of data. Forwards to `BaseEntry.getTitle()` or `Source.getTitle()`.

  Returns:
    the title of the item.

### setTitle

    void setTitle(TextConstruct title)

  Set the title of the feed or entry. Forwards to `BaseEntry.setTitle(TextConstruct)` or `Source.setTitle(TextConstruct)`.

  Parameters:
    `title` - the title of the data item.

### getDescription

    TextConstruct getDescription()

  Gets the description of the entry or feed. This forwards to either `BaseEntry.getSummary()` or `Source.getSubtitle()`.

  Returns:
    the description of the entry or feed.

### setDescription

    void setDescription(TextConstruct description)

  Set the description of the item. Forwards to `BaseEntry.setSummary(TextConstruct)` or `Source.setSubtitle(TextConstruct)`.

### getUpdated

    DateTime getUpdated()

  Gets the updated time on this entry or feed. Forwards to `BaseEntry.getUpdated()` or `Source.getUpdated()`.

  Returns:
    the updated date.

### setUpdated

    void setUpdated(DateTime updated)

  Set the updated date on the entry or feed. Forwards to `BaseEntry.setUpdated(DateTime)` or `Source.setUpdated(DateTime)`.

  Parameters:
    `updated` - the updated date of the data item.

### getRights

    TextConstruct getRights()

  Gets the rights associated with this entry or feed. Forwards to `BaseEntry.getRights()` or `Source.getRights()`.

  Returns:
    the rights of the data item.

### setRights

    void setRights(TextConstruct rights)

  Set the rights of the entry or feed. Forwards to `BaseEntry.setRights(TextConstruct)` or `Source.setRights(TextConstruct)`.

  Parameters:
    `rights` - the rights.

### getCategories

    java.util.Set<Category> getCategories()

  Gets a set of categories on the entry or feed. Forwards to `BaseEntry.getCategories()` or `Source.getCategories()`.

  Returns:
    a modifiable set of categories.

### getLinks

    java.util.List<Link> getLinks()

  Gets a modifiable list of links on the entry or feed. Forwards to `BaseEntry.getLinks()` or `Source.getLinks()`.

  Returns:
    a modifiable set of links.

### getAuthors

    java.util.List<Person> getAuthors()

  Gets a modifiable list of authors on this entry or feed. Forwards to `BaseEntry.getAuthors()` or `Source.getAuthors()`.

  Returns:
    a modifiable list of people that were authors.

### getContributors

    java.util.List<Person> getContributors()

  Gets a modifiable list of contributors on this entry or feed. Forwards to `BaseEntry.getContributors()` or `Source.getContributors()`.

  Returns:
    a modifiable list of people that were contributors.